using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace Array_To_File
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void okButton_Click(object sender, EventArgs e)
        {
            try
            {
                // Utworzenie tablicy z pewnymi wartościami.
                int[] numbers = { 10, 20, 30, 40, 50 };

                // Zadeklarowanie zmiennej typu StreamWriter.
                StreamWriter outputFile;

                // Utworzenie pliku i pobranie obiektu typu StreamWriter.
                outputFile = File.CreateText("Values.txt");

                // Zapisanie w pliku zawartości tablicy.
                for (int index = 0; index < numbers.Length; index++)
                {
                    outputFile.WriteLine(numbers[index]);
                }

                // Zamknięcie pliku.
                outputFile.Close();

                // Poinformowanie użytkownika o zakończeniu operacji.
                MessageBox.Show("Gotowe!");
            }
            catch (Exception ex)
            {
                // Wyświetlenie komunikatu błędu.
                MessageBox.Show(ex.Message);
            }
        }
    }
}
